const Api = require('../net/Api');

class TalentApi {

    getTalentMissionList(success, fail) {
        let url = "/inviteReward/getInviteRewardInfo.do";

        let requestBody = {
            url: url,
            success: success,
            fail: fail,
            complete: () => {

            }
        };

        Api.httpGet(requestBody);
    }

    postGainAward(rid, success, fail) {
        let url = "/inviteReward/getInviteReward.do";

        let data = {
            rid: rid
        };

        let requestBody = {
            url: url,
            data: data,
            success: success,
            fail: fail,
            complete: () => {
            }
        };

        Api.httpPost(requestBody);
    }
}

module.exports = new TalentApi();

